### Enumeration

# Qmi UimFileControlInformation

since: 1.36

#### Declaration

    enum Qmi.UimFileControlInformation

#### Description [src]

File Control Information.

Available since: 1.36

#### Members

`QMI_UIM_FILE_CONTROL_INFORMATION_NO_DATA`

  No data.

  - Value: `0`
  - Available since: 1.36
`QMI_UIM_FILE_CONTROL_INFORMATION_FCP`

  File control parameters.

  - Value: `1`
  - Available since: 1.36
`QMI_UIM_FILE_CONTROL_INFORMATION_FCI`

  File control information.

  - Value: `2`
  - Available since: 1.36
`QMI_UIM_FILE_CONTROL_INFORMATION_FCI_WITH_INTERFACES`

  FCI with interfaces.

  - Value: `3`
  - Available since: 1.36
`QMI_UIM_FILE_CONTROL_INFORMATION_FMD`

  File management data.

  - Value: `4`
  - Available since: 1.36

#### Type functions

###### qmi_uim_file_control_information_get_string

Gets the nickname string for the `QmiUimFileControlInformation` specified at `val`.

since: 1.36